import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
//import { } from 'd3';
import { getMexico } from './getMexico';
import { Marks } from './Marks';
import { tooltipContext } from "./Tooltip";



const width = 960;
const height = 500;

const App = () => {
  
  const atlasMex = getMexico();

  if (!atlasMex) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
        <Marks 
          atlasMex={atlasMex} 
          />
    </svg>
  );
};


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);